Skip to main content
GET
/
v2
/
tasks
List Tasks
curl --request GET \
  --url https://api.example.com/v2/tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "title": "<string>",
    "status": "todo",
    "source": {
      "context": {
        "employee_id": "<string>",
        "scope": "employee"
      },
      "requirement_id": "<string>",
      "definition": "<string>",
      "resources": [
        {}
      ],
      "region": {
        "id": "<string>",
        "name": "<string>",
        "parent_region": null
      },
      "default_resolution_name": "manual",
      "resolutions": {
        "hosted": {
          "description": "<string>",
          "method": "<string>",
          "url": "<string>",
          "content_type": "<string>",
          "fields": [
            {
              "name": "<string>",
              "description": "<string>",
              "required": true,
              "type": "<string>"
            }
          ],
          "type": "hosted"
        },
        "manual": {
          "steps": [
            {
              "id": "<string>",
              "title": "<string>",
              "description": "<string>",
              "paths": [
                {
                  "type": "<string>",
                  "value": "<string>",
                  "text": "<string>"
                }
              ],
              "order": 123
            }
          ],
          "type": "manual"
        }
      },
      "category": "hr",
      "type": "requirement",
      "summary": "<string>",
      "period_start_date": "2023-12-25",
      "period_end_date": "2023-12-25",
      "due_date": "2023-12-25",
      "fee": {
        "amount": "<string>",
        "type": "fixed"
      },
      "eta": {
        "estimation": {
          "min": 123,
          "max": 123,
          "unit": "hour"
        },
        "earliest_date": "2023-11-07T05:31:56Z",
        "latest_date": "2023-11-07T05:31:56Z"
      },
      "tags": [
        "certificate-of-good-standing"
      ],
      "criteria_met": [
        {
          "type": "requirement-done",
          "reason": "<string>",
          "task_id": "<string>"
        }
      ],
      "unlocks": [
        {
          "requirement_id": "<string>",
          "title": "<string>",
          "definition": "<string>",
          "resources": [
            {}
          ],
          "region": {
            "id": "<string>",
            "name": "<string>",
            "parent_region": null
          },
          "summary": "<string>",
          "tags": [
            "certificate-of-good-standing"
          ],
          "source": "requirement"
        }
      ],
      "automation_status": "started",
      "automation_status_logs": [
        {
          "status": "started",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "agency_accounts": [
        {
          "region": "AL",
          "id": "<string>",
          "name": "<string>",
          "agency": {
            "id": "<string>",
            "name": "<string>",
            "website": "<string>"
          },
          "data": [
            {
              "name": "<string>",
              "description": "<string>",
              "value": "<string>",
              "status": "todo"
            }
          ],
          "logins": [
            {
              "id": "<string>",
              "name": "<string>",
              "region": "AL",
              "url": "<string>"
            }
          ]
        }
      ]
    },
    "priority": "medium",
    "is_managed": false
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mosey.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

region
enum<string> | null
Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY
start_date
string<date> | null
end_date
string<date> | null
type
enum<string> | null
Available options:
requirement,
question
statuses
enum<string>[] | null
Available options:
todo,
deferred,
in-progress,
done
tags
enum<string>[] | null
Available options:
certificate-of-good-standing,
charity-registration,
charity-registration-renewal,
employee-final-wage-payment,
employee-new-hire-reporting,
employee-onboarding,
employee-requirement,
employee-termination,
exemption,
foreign-qualification,
handbook,
initial-statement,
local-business-exemption-setup,
local-business-setup,
local-business-registration-renewal,
local-payroll-setup,
local-business-tax-setup,
newspaper-publication,
notices,
payroll-setup,
registered-agent,
sales-tax,
setup,
sos-report,
warn-notice
categories
enum<string>[] | null
Available options:
hr,
insurance,
payroll,
registration,
registration-maintenance,
tax,
sales-tax
definition_id
string | null
include_managed
boolean
default:false
page_size
integer
default:50

Tasks are paginated on a given page size. If no page size is specified, a default of 50 is used.

page_num
integer
default:1

Page number for the paginated tasks. If no page number is specified, a default of 1 is used.

legal_entity_public_id
string | null
user_or_platform_public_id
string | null
platform_public_id
string | null

Response

Successful Response

id
string
required
title
string
required
status
enum<string>
required
Available options:
todo,
deferred,
in-progress,
done
source
PlatformTaskRequirement · object
required
priority
enum<string> | null
default:medium
Available options:
high,
medium,
low
is_managed
boolean
default:false